Home | Namespaces | Hierarchy | Alphabetical List | Class list | Files | Namespace Members | Class members | File members | Tutorials

# ISceneNode.h File Reference

`#include "IAttributeExchangingObject.h"`
`#include "ESceneNodeTypes.h"`
`#include "ECullingTypes.h"`
`#include "EDebugSceneTypes.h"`
`#include "ISceneNodeAnimator.h"`
`#include "ITriangleSelector.h"`
`#include "SMaterial.h"`
`#include "irrString.h"`
`#include "aabbox3d.h"`
`#include "matrix4.h"`
`#include "irrList.h"`
`#include "IAttributes.h"`

Go to the source code of this file.

## Classes

class | irr::scene::ISceneNode
| Scene node interface. More...

## Namespaces

namespace | irr

| Everything in the Irrlicht Engine can be found in this namespace.
namespace | irr::scene

| All scene management can be found in this namespace: Mesh loading, special scene nodes like octrees and billboards, ...

## Typedefs

typedef core::list < ISceneNodeAnimator * > | irr::scene::ISceneNodeAnimatorList
| Typedef for list of scene node animators.
typedef core::list< ISceneNode * > | irr::scene::ISceneNodeList
| Typedef for list of scene nodes.

| The Irrlicht Engine Documentation © 2003-2010 by Nikolaus Gebhardt. Generated on Sun Oct 24 12:41:58 2010 by Doxygen (1.6.2)